/*****************************************************************************/
/*
                                  FAO.h
*/
/*****************************************************************************/

#ifndef FAO_H_LOADED
#define FAO_H_LOADED 1

/* application related header files */
#include "wasd.h"

/**********/
/* macros */
/**********/

#define FaolToBuffer(bp,bs,lp,fs,vp) FaolSAK(NULL,bp,bs,lp,fs,vp)
#define FaolToNet(rq,fs,vp) FaolSAK(rq,NULL,0,NULL,fs,vp)

/***********************/
/* function prototypes */
/***********************/

int FaolSAK (REQUEST_STRUCT*, void*, int, ushort*, char*, ulong*);

FaoCheck (int, ulong*, ulong*, char*, int);
FaoErrorNoticed (int, char*, char*, int);

char* FaoBigNumber (char*);
char* FaoCommaNumber (char*);
int FaoToBuffer (char*, int, ushort*, char*, ...);
int FaoToEither (REQUEST_STRUCT*, char*, ...);
char* FaoToMemory (REQUEST_STRUCT*, char*, ...);
int FaoToNet (REQUEST_STRUCT*, char*, ...);
int FaoToOpcom (char*, ...);
int FaoToStdout (char*, ...);
int FaoLibPutOutput (char*, ...);

/* for whatever reason ... */
void SysLogInit ();
void SysLogOpcom (char*);

#endif /* FAO_H_LOADED */

/*****************************************************************************/
