$!-----------------------------------------------------------------------------
$! BUILD_CGILIB.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$! (actually the LINK options just creates and populates the object library)
$!
$! 07-OCT-2004  JFP  build shareable image
$! 07-JUL-2001  MGD  minor massaging
$! 28-OCT-2000  MGD  initial, compile into object module
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @WASD_ROOT:[SRC]ARCHER.COM "CGILIB object module"
$!
$ INCLUDES = "/INCLUDE=[]"
$ DEFINES = "/DEFINE=(__VMS_VER=70000000," +-
            "__CRTL_VER=70000000,CGILIB_OBJECT_MODULE)"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL " +-
               "/WARNINGS=(DISABLE=(PREOPTW))" +-
               DEFINES + INCLUDES
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS'/NAME=AS_IS /OBJECT='WASD_OBJ_DIR'CGILIB CGILIB 
$    CC 'CC_OPTIONS'/NAME=AS_IS /OBJECT='WASD_OBJ_DIR'CGILIB_AS_IS CGILIB 
$    CC 'CC_OPTIONS'/NAME=UPPER /OBJECT='WASD_OBJ_DIR'CGILIB_UPPER CGILIB 
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    IF F$SEARCH("[.OBJ_''WASD_ARCH_NAME']CGILIB.OLB") .EQS. "" -
        THEN LIBRARY /CREATE /OBJECT [.OBJ_'WASD_ARCH_NAME']CGILIB.OLB
$    IF F$SEARCH("[.OBJ_''WASD_ARCH_NAME']CGILIB_AS_IS.OLB") .EQS. "" -
        THEN LIBRARY /CREATE /OBJECT [.OBJ_'WASD_ARCH_NAME']CGILIB_AS_IS.OLB
$    IF F$SEARCH("[.OBJ_''WASD_ARCH_NAME']CGILIB_UPPER.OLB") .EQS. "" -
        THEN LIBRARY /CREATE /OBJECT [.OBJ_'WASD_ARCH_NAME']CGILIB_UPPER.OLB
$    SET NOON
$    SET VERIFY
$    LIBRARY /OBJECT /REPLACE 'WASD_OBJ_DIR'CGILIB.OLB -
                              'WASD_OBJ_DIR'CGILIB.OBJ
$    LIBRARY /OBJECT /REPLACE 'WASD_OBJ_DIR'CGILIB_AS_IS.OLB -
                              'WASD_OBJ_DIR'CGILIB_AS_IS.OBJ
$    LIBRARY /OBJECT /REPLACE 'WASD_OBJ_DIR'CGILIB_UPPER.OLB -
                              'WASD_OBJ_DIR'CGILIB_UPPER.OBJ
$    LINK /SHARE=WASD_EXE:CGILIBSHR32.EXE -
          CGILIBSHR.OPT/OPT,'WASD_OBJ_DIR'CGILIB_AS_IS.OBJ
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ PURGE /NOLOG 'WASD_OBJ_DIR'
$!
$!-----------------------------------------------------------------------------
