$!-----------------------------------------------------------------------------
$! BUILD_HTTPDMON.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 20-SEP-2020  MGD  x86-64
$! 01-MAY-2001  MGD  removed the explicit link into UCX$IPC_SHR
$! 28-OCT-2000  MGD  RELAXED compilation (ahhh, that's better)
$! 30-OCT-1999  MGD  remove NETLIB support
$! 30-MAY-1998  MGD  initial re-development
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @WASD_ROOT:[SRC]ARCHER.COM "HTTPDMON"
$!
$! (when field testing and httpdmon.c is included in the server directory)
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000,THIS_WASD_H)"
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000)"
$!
$ INCLUDES = ""
$ WARNINGS=  " /WARNING=(NOINFORM,DISABLE=(PREOPTW))"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL /NAMES=AS_IS" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR' HTTPDMON
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /EXECUTABLE=WASD_EXE:HTTPDMON.EXE 'WASD_OBJ_DIR'HTTPDMON
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'WASD_OBJ_DIR'
$!
$!-----------------------------------------------------------------------------
