/*****************************************************************************
/*
                                 HTTPd.h
*/
/*****************************************************************************/

#ifndef HTTPD_H_LOADED
#define HTTPD_H_LOADED 1

#include "wasd.h"

/* DECC VAX 5.7 (VMS 6.0) has this, DECC VAX 6.0 (VMS 6.1) doesn't, ? */
#ifndef SYI$_MEMSIZE
#  define SYI$_MEMSIZE 4459
#endif

/***********************/
/* function prototypes */
/***********************/

void* HttpdAlignFault (char*);
char *HttpdAlignModule (unsigned long);
HttpdAlignReport (REQUEST_STRUCT*);
HttpdAlignSort (struct FaultAccumStruct*, int);
HttpdExit ();
ulong HttpdGetTickSecond ();
void HttpdImageInfo ();
BOOL HttpdIsAstCall ();
void HttpdCheckPriv (char*, int);
HttpdDetachServerProcess ();
int HttpdGblSecInit ();
int HttpdGblSecMap ();
ulong* HttpdExpectedPriv ();
void HttpdNoteThis (char*);
HttpdOnControlY (BOOL);
int HttpdProcessInfo ();
BOOL HttpdSupervisor ();
void HttpdSysOutDaily ();
int HttpdSystemInfo ();
HttpdTick (long);
HttpdTimerSet (REQUEST_STRUCT*, int, int);
int HttpdScriptAs ();
void HttpdStackTrace (char*, char*, int);
HttpdSupervisorList (REQUEST_STRUCT*, int);
HttpdSupervisorReport (REQUEST_STRUCT*);
void HttpdSysProtProcDmp ();
char* HttpdTimeoutType (int);

#endif /* HTTPD_H_LOADED */

/*****************************************************************************/

