/*****************************************************************************/
/*
                                 InConfig.h
*/
/*****************************************************************************/

#ifndef INCONFIG_H_LOADED
#define INCONFIG_H_LOADED 1

#include <stdio.h>

#define INCONFIG_LINE_MAX 1024

#define INCONFIG_AUTH    1
#define INCONFIG_GLOBAL  2
#define INCONFIG_MAP     3
#define INCONFIG_SERVICE 4
#define INCONFIG_UNKNOWN 5

/***********************/
/* function prototypes */
/***********************/

void InConfigAddGlobal (char*, int);
void InConfigCheckFile (char*);
BOOL InConfigSentinal (FILE*);
void InConfigClose ();
FILE* InConfigExcise (FILE*);
FILE* InConfigFile (FILE*);
int InConfigIdentify (FILE*);
int InConfigInit (char*);
BOOL InConfigIsGlobal (FILE*);
void InConfigKeepAuth ();
void InConfigKeepMap ();
int InConfigLoad ();
void InConfigNoVersion (char*);
int InConfigOpen ();
FILE* InConfigOpenFile (char*);
int InConfigReload ();
void InConfigReport (REQUEST_STRUCT*, BOOL);
BOOL InConfigStartup (BOOL);
void InConfigUnload ();

#endif /* INCONFIG_H_LOADED */

/*****************************************************************************/

