/*****************************************************************************/
/*
                                  Logging.h
*/
/*****************************************************************************/

#ifndef LOGGING_H_LOADED
#define LOGGING_H_LOADED 1

#include "wasd.h"

#define LOGGING_DEFAULT_EXTEND_BLOCKS 4096

#define LOGGING_FLUSH_SECONDS 60

/***********************/
/* function prototypes */
/***********************/

int Logging (REQUEST_STRUCT*, int);
void LoggingBlankLine (SERVICE_STRUCT*);
char* LoggingCustom (REQUEST_STRUCT*, char**);
char* LoggingCustomConcAuth (REQUEST_STRUCT*);
char* LoggingCustomQuotas (REQUEST_STRUCT*);
char* LoggingCustomTimeout (REQUEST_STRUCT*);
int LoggingDo (REQUEST_STRUCT*, SERVICE_STRUCT*, int, int);
LoggingFlushFileAST ();
char* LoggingQuoted (REQUEST_STRUCT*, char*);
LoggingReport (REQUEST_STRUCT*, char*);
char* LoggingRequestHeader (REQUEST_STRUCT*, char*);

#endif /* LOGGING_H_LOADED */

/*****************************************************************************/
