$!-----------------------------------------------------------------------------
$! BUILD_HTTPDMON_GEOLOCATE.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 01-MAR-2022  MGD  initial provide for a geolocation HTTPdmon
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @WASD_ROOT:[SRC]ARCHER.COM "HTTPDMON (GEOLOCATE)"
$!
$ if P2 .eqs. "SSL"
$ then
$    if f$trnlnm("WASD_SSLROOT","LNM$PROCESS") .eqs. ""
$    then
$       @wasd_root:[install]ssl_detect
$    endif
$ endif
$!
$! (when field testing and httpdmon.c is included in the server directory)
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000,THIS_WASD_H)"
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000)"
$ DEFINES = " /DEFINE=(__VMS_VER=70000000,__CRTL_VER=70000000,HTTPDMON_GEOLOCATE=1,GEOLOCATE_OBJECT=1)"
$!
$ INCLUDES = ""
$ WARNINGS=  " /WARNING=(NOINFORM,DISABLE=(PREOPTW))"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL /NAMES=AS_IS" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR'GEOLOCATE_OBJECT GEOLOCATE 
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR'HTTPDMON_GEOLOCATE HTTPDMON
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ if p1 .eqs. "" .or. p1 .eqs. "BUILD" .or. p1 .eqs. "LINK"
$ then
$    cgilib_olb = "[src.misc.obj_''wasd_arch_name']cgilib.olb"
$    set noon
$    if P2 .eqs. "SSL" .and. -
        f$length(f$trnlnm("WASD_SSLROOT","LNM$PROCESS")) .gt. 1
$    then
$       set verify
$ link /executable=wasd_exe:httpdmon.exe -
  [.obj_'wasd_arch_name']httpdmon_geolocate,-
  [.obj_'wasd_arch_name']geolocate_object,-
  'cgilib_olb'/library,-
  'f$trnlnm("WASD_LIBSSL")',-
  'f$trnlnm("WASD_LIBCRYPTO")'
$!      'f$verify(0)
$    else
$       set verify
$ link /executable=wasd_exe:httpdmon.exe -
  [.obj_'wasd_arch_name']httpdmon_geolocate,-
  [.obj_'wasd_arch_name']geolocate_object,-
  'cgilib_olb'/library
$!      'f$verify(0)
$    endif
$    set on
$ endif
$ purge /nolog 'wasd_obj_dir'
$!
$!-----------------------------------------------------------------------------
