$!-----------------------------------------------------------------------------
$! BUILD_QDLOGSTATS_GEOLOCATE.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 10-MAR-2022  MGD  initial development (from BUILD_GEOLOCATE.COM)
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @WASD_ROOT:[SRC]ARCHER.COM "QDLOGSTATS (GEOLOCATE)"
$!
$ if P2 .eqs. "SSL"
$ then
$    if f$trnlnm("WASD_SSLROOT","LNM$PROCESS") .eqs. ""
$    then
$       @wasd_root:[install]ssl_detect
$    endif
$ endif
$!
$ CGILIB_INCLUDE = "WASD_ROOT:[SRC.MISC]"
$ CGILIB_OLB = "WASD_ROOT:[SRC.MISC.OBJ_''WASD_ARCH_NAME']CGILIB.OLB"
$ REGEX_INCLUDE = "WASD_ROOT:[SRC.HTTPD]"
$ REGEX_OBJ = "WASD_ROOT:[SRC.HTTPD.OBJ_''WASD_ARCH_NAME']REGEX.OBJ"
$!
$ DEFINES = " /DEFINE=(__VMS_VER=70000000," +-
"__CRTL_VER=70000000,CGILIB_OBJECT_MODULE,QDLOGSTATS_GEOLOCATE,GEOLOCATE_OBJECT)"
$ WARNINGS= " /WARNING=(DISABLE=(PREOPTW))"
$ INCLUDES = " /INCLUDE=(''CGILIB_INCLUDE',''REGEX_INCLUDE')"
$ CC_OPTIONS = "/DEBUG=NOTRACE /DECC /OPTIMIZE /STAND=RELAXED_ANSI " +-
               "/PREFIX=ALL /NAMES=AS_IS" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR'GEOLOCATE_OBJECT GEOLOCATE 
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR'QDLOGSTATS_GEOLOCATE QDLOGSTATS
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ if p1 .eqs. "" .or. p1 .eqs. "BUILD" .or. p1 .eqs. "LINK"
$ then
$    set noon
$    if P2 .eqs. "SSL" .and. -
        f$length(f$trnlnm("WASD_SSLROOT","LNM$PROCESS")) .gt. 1
$    then
$       set verify
$ link /notrace /executable=wasd_exe:qdlogstats.exe -
  [.obj_'wasd_arch_name']qdlogstats_geolocate,-
  [.obj_'wasd_arch_name']geolocate_object,-
  'cgilib_olb'/library,-
  'regex_obj',-
  'f$trnlnm("WASD_LIBSSL")',-
  'f$trnlnm("WASD_LIBCRYPTO")'
$!      'f$verify(0)
$    else
$       set verify
$ link /notrace /executable=wasd_exe:qdlogstats.exe -
  [.obj_'wasd_arch_name']qdlogstats_geolocate,-
  [.obj_'wasd_arch_name']geolocate_object,-
  'cgilib_olb'/library,-
  'regex_obj'
$!      'f$verify(0)
$    endif
$    set on
$ endif
$ purge /nolog 'wasd_obj_dir'
$!
$!-----------------------------------------------------------------------------
