$!-----------------------------------------------------------------------------
$! BUILD_WASTEE.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! NOTE: creates executable in WASD_ROOT:[STARTUP]
$!
$! 10-MAR-2021  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @WASD_ROOT:[SRC]ARCHER.COM "WASTEE"
$!
$ DEFINES = " /DEFINE=(__VMS_VER=70000000," +-
            "__CRTL_VER=70000000,WASTEE_CLI)"
$ INCLUDES = ""
$ WARNINGS=  " /WARNING=(DISABLE=(PREOPTW))"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /PREFIX=ALL /NAMES=AS_IS" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR'WASTEE WASTEE
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    LINK /NOTRACE /EXECUTABLE=WASD_ROOT:[STARTUP]WASTEE_'WASD_ARCH_NAME'.EXE -
          'WASD_OBJ_DIR'WASTEE
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'WASD_OBJ_DIR'
$!
$!-----------------------------------------------------------------------------
