$!-----------------------------------------------------------------------------
$! BUILD_AUTOBAHN.COM
$!
$! P1 == LINK or BUILD or empty (builds)
$!
$! 02-JUN-2001  MGD  initial development
$!-----------------------------------------------------------------------------
$!
$ ON CONTROLY THEN EXIT 44
$!
$ @WASD_ROOT:[SRC]ARCHER.COM "AUTOBAHN"
$!
$ DEFINES = " /DEFINE=(__VMS_VER=70000000," +-
            "__CRTL_VER=70000000,AUTOBAHN)"
$ INCLUDES = ""
$ WARNINGS=  " /WARNING=(DISABLE=(PREOPTW))"
$ CC_OPTIONS = "/DECC /OPTIMIZE /STAND=RELAXED_ANSI /NAMES=AS_IS " +-
               "/PREFIX=ALL /FLOAT=IEEE" +-
               INCLUDES + DEFINES + WARNINGS
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "COMPILE"
$ THEN
$    SET NOON
$    SET VERIFY
$    CC 'CC_OPTIONS' /OBJECT='WASD_OBJ_DIR'AUTOBAHN AUTOBAHN
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$!
$ IF P1 .EQS. "" .OR. P1 .EQS. "BUILD" .OR. P1 .EQS. "LINK"
$ THEN
$    SET NOON
$    SET VERIFY
$    IF WASD_ARCH_NAME .EQS. "AXP"
$    THEN
$       LINK /EXECUTABLE=WASD_EXE:AUTOBAHN.EXE -
[-.HTTPD.OBJ_AXP]BASE64, -
[-.HTTPD.OBJ_AXP]SHA1, -
        'WASD_OBJ_DIR'AUTOBAHN,WSLIB,WSLIBCL
$    ENDIF
$    IF WASD_ARCH_NAME .EQS. "IA64"
$    THEN
$       LINK /EXECUTABLE=WASD_EXE:AUTOBAHN.EXE -
[-.HTTPD.OBJ_IA64]BASE64, -
[-.HTTPD.OBJ_IA64]SHA1, -
        'WASD_OBJ_DIR'AUTOBAHN,WSLIB,WSLIBCL
$    ENDIF
$    IF WASD_ARCH_NAME .EQS. "X86_64"
$    THEN
$       LINK /EXECUTABLE=WASD_EXE:AUTOBAHN.EXE -
[-.HTTPD.OBJ_X86_64]BASE64, -
[-.HTTPD.OBJ_X86_64]SHA1, -
        'WASD_OBJ_DIR'AUTOBAHN,WSLIB,WSLIBCL
$    ENDIF
$!   'F$VERIFY(0)
$    SET ON
$ ENDIF
$ PURGE /NOLOG 'WASD_OBJ_DIR'
$!
$!-----------------------------------------------------------------------------
