$!-----------------------------------------------------------------------------
$! 0.COM
$!
$! This procedure ensures the content of the directory contains only the
$! most recent documentation by deleting anything older than the prescribed
$! date.  Once accomplished it deletes the README.TXT and itself.
$! CGI wasDOC also looks for this file and provides an update message.
$! (Messy - sure, but unforeseen wrinkle in the way wasDOC operates.)
$!
$! This procedure is stored as WASD_ROOT:[WASDOC]ZERO.COM and then copied to
$! a [WASDOC] subdirectory as 0.COM when the document changes structure
$! (i.e. *.wasdoc files or a major section are added or deleted).
$!
$! A README.TXT should also be created in that directory containing...
$!
$! "Execute @WASD_ROOT:[WASDOC]CHECK.COM to update this document."
$!
$ BEFORE = "01-JUL-2020"
$!
$! 08-JUL-2020  MGD  initial
$!-----------------------------------------------------------------------------
$!
$ set on
$ procedure = f$environment("procedure")
$ location = f$parse(procedure,,,"device") + f$parse(procedure,,,"directory")
$!(avoid executing the original!)
$ if f$edit(location,"upcase") .eqs. "WASD_ROOT:[WASDOC]" then exit
$ delete = "delete/noconfirm"
$ delete 'location'*.wasdoc;* /modified/before='BEFORE'
$ delete 'location'*.html;* /modified/before='BEFORE'
$ delete 'location'readme.txt;*
$ delete 'location'0.com;*
$!
$!-----------------------------------------------------------------------------
